﻿import cmdlib
import es

addon = es.import_addon("soccer_mod_2010/cfg")

# ******************** Load ********************
def load():
	es.set("sm_sprint_command", "!sprint")

	cmdlib.registerServerCommand("soccer_mod_sprint_command", command, "Server Command")

	es.server.cmd("exec soccer_mod/modules/sprint.cfg")

	addon.reg("sm_sprint_command", "soccer_mod_2010/sprint/cmd_sprint")

# ******************** Commands ********************
def command(args):
	es.set("sm_sprint_command", args[0])

# ******************** Events ********************
def es_map_start(event_var):
	addon.unreg("sm_sprint_command")

	es.server.cmd("exec soccer_mod/modules/sprint.cfg")

	addon.reg("sm_sprint_command", "soccer_mod_2010/sprint/cmd_sprint")

# ******************** Unload ********************
def unload():
	cmdlib.unregisterServerCommand("soccer_mod_sprint_command")

	addon.unreg("sm_sprint_command")